prepare:
	cd serving; python tensorflow_serving/example/mnist_saved_model.py /tmp/mnist
run:
	docker run -p 8500:8500 --mount type=bind,source=/tmp/mnist,target=/models/mnist -e MODEL_NAME=mnist -t tensorflow/serving

test:
	cd serving; time python tensorflow_serving/example/mnist_client.py --num_tests=50000 --server=127.0.0.1:8500

clean:
	rm -rf /tmp/mnist

install:
	git clone https://github.com/tensorflow/serving
